package com.zhongzheng.modules.base.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.base.bo.ApplyAreasAddBo;
import com.zhongzheng.modules.base.bo.ApplyAreasEditBo;
import com.zhongzheng.modules.base.bo.ApplyAreasQueryBo;
import com.zhongzheng.modules.base.domain.ApplyAreas;
import com.zhongzheng.modules.base.vo.ApplyAreasVo;

import java.util.Collection;
import java.util.List;

/**
 * 报考地区Service接口
 *
 * @author hjl
 * @date 2021-10-08
 */
public interface IApplyAreasService extends IService<ApplyAreas> {
	/**
	 * 查询单个
	 * @return
	 */
	ApplyAreasVo queryById(Long areaId);

	/**
	 * 查询列表
	 */
	List<ApplyAreasVo> queryList(ApplyAreasQueryBo bo);

	List<ApplyAreas> selectCityList(ApplyAreasQueryBo bo);

	/**
	 * 根据新增业务对象插入报考地区
	 * @param bo 报考地区新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(ApplyAreasAddBo bo);

	/**
	 * 根据编辑业务对象修改报考地区
	 * @param bo 报考地区编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(ApplyAreasEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
